local t = LoadFallbackB();

-- LINES

t[#t+1] = Def.ActorFrame{
	InitCommand=cmd(y,SCREEN_TOP+120);
	LoadActor( "__tah" )..{
		InitCommand=cmd(x,SCREEN_CENTER_X+124;y,SCREEN_CENTER_Y-7;);
		OnCommand=cmd(draworder,205;zoom,0.3);
	};
};

t[#t+1] = Def.ActorFrame{
	InitCommand=cmd(y,SCREEN_TOP+120);
	LoadActor( "__tj" )..{
		InitCommand=cmd(x,SCREEN_CENTER_X+124;y,SCREEN_CENTER_Y+17;);
		OnCommand=cmd(draworder,205;zoom,0.3);
	};
};

t[#t+1] = Def.ActorFrame{
	InitCommand=cmd(y,SCREEN_TOP+120);
	LoadActor( "__th" )..{
		InitCommand=cmd(x,SCREEN_CENTER_X+124;y,SCREEN_CENTER_Y+41;);
		OnCommand=cmd(draworder,205;zoom,0.3);
	};
};

t[#t+1] = Def.ActorFrame{
	InitCommand=cmd(y,SCREEN_TOP+120);
	LoadActor( "__tr" )..{
		InitCommand=cmd(x,SCREEN_CENTER_X+124;y,SCREEN_CENTER_Y+65;);
		OnCommand=cmd(draworder,205;zoom,0.3);
	};
};

t[#t+1] = Def.ActorFrame{
	InitCommand=cmd(y,SCREEN_TOP+120);
	LoadActor( "__line" )..{
		InitCommand=cmd(x,SCREEN_CENTER_X+124;y,SCREEN_CENTER_Y+89;);
		OnCommand=cmd(draworder,205;zoom,0.3);
	};
};

-- PROFILE STATS P1

t[#t+1] = LoadFont("StepsDisplay 30px") .. { 
          InitCommand=cmd(x,SCREEN_CENTER_X+124;y,SCREEN_CENTER_Y+32;horizalign,left;shadowlength,1;shadowcolor,color("#000000");diffuse,color("#FFFFFF");zoomx,0.4;zoomy,0.5;visible,GAMESTATE:IsHumanPlayer(PLAYER_1)); 
          CurrentSongChangedMessageCommand=cmd(playcommand,"Set"); 
		  OnCommand=cmd(maxwidth,300;playcommand,"Set"); 
		  OffCommand=cmd(accelerate,0.2;diffusealpha,0;);
          SetCommand=function(self) 
               local TapsAndHolds = PROFILEMAN:GetProfile('PlayerNumber_P1',0); 
              
			  if TapsAndHolds then 
					self:y(363);
					self:x(465.5);
                    self:settext(TapsAndHolds:GetTotalTapsAndHolds()); 
              end
		end;
};

t[#t+1] = LoadFont("StepsDisplay 30px") .. { 
          InitCommand=cmd(x,SCREEN_CENTER_X+124;y,SCREEN_CENTER_Y+32;horizalign,left;shadowlength,1;shadowcolor,color("#000000");diffuse,color("#FFFFFF");zoomx,0.4;zoomy,0.5;visible,GAMESTATE:IsHumanPlayer(PLAYER_1)); 
          CurrentSongChangedMessageCommand=cmd(playcommand,"Set"); 
		  OnCommand=cmd(maxwidth,300;playcommand,"Set"); 
		  OffCommand=cmd(accelerate,0.2;diffusealpha,0;);
          SetCommand=function(self) 
               local Jumps = PROFILEMAN:GetProfile('PlayerNumber_P1',0); 
              
			  if Jumps then 
					self:y(387);
					self:x(465.5);
                    self:settext(Jumps:GetTotalJumps()); 
              end
		end;
};

t[#t+1] = LoadFont("StepsDisplay 30px") .. { 
          InitCommand=cmd(x,SCREEN_CENTER_X+124;y,SCREEN_CENTER_Y+32;horizalign,left;shadowlength,1;shadowcolor,color("#000000");diffuse,color("#FFFFFF");zoomx,0.4;zoomy,0.5;visible,GAMESTATE:IsHumanPlayer(PLAYER_1)); 
          CurrentSongChangedMessageCommand=cmd(playcommand,"Set"); 
		  OnCommand=cmd(maxwidth,300;playcommand,"Set"); 
		  OffCommand=cmd(accelerate,0.2;diffusealpha,0;);
          SetCommand=function(self) 
               local Holds = PROFILEMAN:GetProfile('PlayerNumber_P1',0); 
              
			  if Holds then 
					self:y(411);
					self:x(465.5);
                    self:settext(Holds:GetTotalHolds()); 
              end
		end;
};

t[#t+1] = LoadFont("StepsDisplay 30px") .. { 
          InitCommand=cmd(x,SCREEN_CENTER_X+124;y,SCREEN_CENTER_Y+32;horizalign,left;shadowlength,1;shadowcolor,color("#000000");diffuse,color("#FFFFFF");zoomx,0.4;zoomy,0.5;visible,GAMESTATE:IsHumanPlayer(PLAYER_1)); 
          CurrentSongChangedMessageCommand=cmd(playcommand,"Set"); 
		  OnCommand=cmd(maxwidth,300;playcommand,"Set"); 
		  OffCommand=cmd(accelerate,0.2;diffusealpha,0;);
          SetCommand=function(self) 
               local Rolls = PROFILEMAN:GetProfile('PlayerNumber_P1',0); 
              
			  if Rolls then 
					self:y(435);
					self:x(465.5);
                    self:settext(Rolls:GetTotalRolls()); 
              end
		end;
};

-- PROFILE STATS P2

t[#t+1] = LoadFont("StepsDisplay 30px") .. { 
          InitCommand=cmd(x,SCREEN_CENTER_X+124;y,SCREEN_CENTER_Y+32;horizalign,right;shadowlength,1;shadowcolor,color("#000000");diffuse,color("#FFFFFF");zoomx,0.4;zoomy,0.5;visible,GAMESTATE:IsHumanPlayer(PLAYER_2)); 
          CurrentSongChangedMessageCommand=cmd(playcommand,"Set"); 
		  OnCommand=cmd(maxwidth,300;playcommand,"Set"); 
		  OffCommand=cmd(accelerate,0.2;diffusealpha,0;);
          SetCommand=function(self) 
               local TapsAndHolds = PROFILEMAN:GetProfile('PlayerNumber_P2',1); 
              
			  if TapsAndHolds then 
					self:y(363);
					self:x(636);
                    self:settext(TapsAndHolds:GetTotalTapsAndHolds()); 
              end
		end;
};

t[#t+1] = LoadFont("StepsDisplay 30px") .. { 
          InitCommand=cmd(x,SCREEN_CENTER_X+124;y,SCREEN_CENTER_Y+32;horizalign,right;shadowlength,1;shadowcolor,color("#000000");diffuse,color("#FFFFFF");zoomx,0.4;zoomy,0.5;visible,GAMESTATE:IsHumanPlayer(PLAYER_2)); 
          CurrentSongChangedMessageCommand=cmd(playcommand,"Set"); 
		  OnCommand=cmd(maxwidth,300;playcommand,"Set"); 
		  OffCommand=cmd(accelerate,0.2;diffusealpha,0;);
          SetCommand=function(self) 
               local Jumps = PROFILEMAN:GetProfile('PlayerNumber_P2',1); 
              
			  if Jumps then 
					self:y(387);
					self:x(636);
                    self:settext(Jumps:GetTotalJumps()); 
              end
		end;
};

t[#t+1] = LoadFont("StepsDisplay 30px") .. { 
          InitCommand=cmd(x,SCREEN_CENTER_X+124;y,SCREEN_CENTER_Y+32;horizalign,right;shadowlength,1;shadowcolor,color("#000000");diffuse,color("#FFFFFF");zoomx,0.4;zoomy,0.5;visible,GAMESTATE:IsHumanPlayer(PLAYER_2)); 
          CurrentSongChangedMessageCommand=cmd(playcommand,"Set"); 
		  OnCommand=cmd(maxwidth,300;playcommand,"Set"); 
		  OffCommand=cmd(accelerate,0.2;diffusealpha,0;);
          SetCommand=function(self) 
               local Holds = PROFILEMAN:GetProfile('PlayerNumber_P2',1); 
              
			  if Holds then 
					self:y(411);
					self:x(636);
                    self:settext(Holds:GetTotalHolds()); 
              end
		end;
};

t[#t+1] = LoadFont("StepsDisplay 30px") .. { 
          InitCommand=cmd(x,SCREEN_CENTER_X+124;y,SCREEN_CENTER_Y+32;horizalign,right;shadowlength,1;shadowcolor,color("#000000");diffuse,color("#FFFFFF");zoomx,0.4;zoomy,0.5;visible,GAMESTATE:IsHumanPlayer(PLAYER_2)); 
          CurrentSongChangedMessageCommand=cmd(playcommand,"Set"); 
		  OnCommand=cmd(maxwidth,300;playcommand,"Set"); 
		  OffCommand=cmd(accelerate,0.2;diffusealpha,0;);
          SetCommand=function(self) 
               local Rolls = PROFILEMAN:GetProfile('PlayerNumber_P2',1); 
              
			  if Rolls then 
					self:y(435);
					self:x(636);
                    self:settext(Rolls:GetTotalRolls()); 
              end
		end;
};

return t